//	by EvilJess aka Jeffrey Bakker 2004

//	New or modified code (C)2004 Jeffrey Bakker <evil@damnclan.com>
//	Existing code for Unreal  Tournament 2003 Copyright  2002 Epic Games, Inc.
//	Existing code for Unreal  Tournament 2004 Copyright  2004 Epic Games, Inc.


//	BinStaGib - InstaGib meets BinSlayer
//	Copyright (C) 2004  Jeffrey Bakker

//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.

//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.

//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


class DeathSphereXt extends DeathSphere;

var bool DoSuicide;

function DeathSphereExplosion()
{
	local Vector SphereLoc;
	local Rotator R;

	if (SMin + HoldTime * SGain < SMax) {
		PlaySound(Sound'WeaponSounds.RocketLauncher.SeekLost');
		return;
	}

	R = Rotation;
	R.Roll = Rand(360);

	SphereLoc = Instigator.Location;

	if ( (Instigator.PlayerReplicationInfo.Team != None) && (Instigator.PlayerReplicationInfo.Team.TeamIndex == 1) )
		Spawn(class'BinStaGib.SphereExplosionBlue',,, SphereLoc, R);
	else	Spawn(class'BinStaGib.SphereExplosion',,, SphereLoc, R);

	PlaySound(Sound'WeaponSounds.BExplosion5',, 255);

	if(DoSuicide)
		HurtRadius(333, 444, Class'BinStaGib.DamTypeDeathSphere', 50000, SphereLoc );
	else	DelayedHurtRadius(333, 444, Class'BinStaGib.DamTypeDeathSphere', 50000, SphereLoc );
}

function StartBerserk()
{
	DoSuicide=False;
}

function StopBerserk()
{
	DoSuicide=True;
}

defaultproperties
{
	DoSuicide=True
}